Package com.enonic.xp.content

## Class ContentPaths

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntitySet<ContentPath>
  - - com.enonic.xp.content.ContentPaths

- All Implemented Interfaces:
    `Iterable<ContentPath>`

      @PublicApi
      public final class ContentPaths
      extends AbstractImmutableEntitySet<ContentPath>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ContentPaths.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `set`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentPaths` | `add​(ContentPath... paths)` |
    `ContentPaths` | `add​(Iterable<?> paths)` |
    `ContentPaths` | `add​(String... paths)` |
    `static ContentPaths.Builder` | `create()` |
    `static ContentPaths` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `static ContentPaths` | `from​(ContentPath... paths)` |
    `static ContentPaths` | `from​(Iterable<ContentPath> paths)` |
    `static ContentPaths` | `from​(String... paths)` |
    `static ContentPaths` | `from​(Collection<String> contentPaths)` |
    `int` | `hashCode()` |
    `ContentPaths` | `remove​(ContentPath... paths)` |
    `ContentPaths` | `remove​(Iterable<?> paths)` |
    `ContentPaths` | `remove​(String... paths)` |
    `String` | `toString()` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `contains, first, getSet, getSize, isEmpty, isNotEmpty, iterator, stream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### add

          public ContentPaths add​(String... paths)

    - #### add

          public ContentPaths add​(ContentPath... paths)

    - #### add

          public ContentPaths add​(Iterable<?> paths)

    - #### remove

          public ContentPaths remove​(String... paths)

    - #### remove

          public ContentPaths remove​(ContentPath... paths)

    - #### remove

          public ContentPaths remove​(Iterable<?> paths)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractImmutableEntitySet<ContentPath>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `AbstractImmutableEntitySet<ContentPath>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractImmutableEntitySet<ContentPath>`

    - #### empty

          public static ContentPaths empty()

    - #### from

          public static ContentPaths from​(String... paths)

    - #### from

          public static ContentPaths from​(Collection<String> contentPaths)

    - #### from

          public static ContentPaths from​(ContentPath... paths)

    - #### from

          public static ContentPaths from​(Iterable<ContentPath> paths)

    - #### create

          public static ContentPaths.Builder create()